Bug 663309 - SELinux is preventing munin_stats "write" access on plugin-state.
Summary: SELinux is preventing munin_stats "write" access on plugin-state.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 14
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:e68a0636e37...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-15 10:43 UTC by Matthias Runge
Modified: 2010-12-21 23:59 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.9.7-18.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-21 23:59:00 UTC


Attachments (Terms of Use)

Description Matthias Runge 2010-12-15 10:43:48 UTC
Summary:

SELinux is preventing munin_stats "write" access on plugin-state.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by munin_stats. It is not expected that this
access is required by munin_stats and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:munin_t:s0
Target Context                system_u:object_r:munin_plugin_state_t:s0
Target Objects                plugin-state [ dir ]
Source                        munin_stats
Source Path                   munin_stats
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.7-16.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.35.9-64.fc14.x86_64 #1 SMP Fri Dec 3 12:19:41
                              UTC 2010 x86_64 x86_64
Alert Count                   4
First Seen                    Wed 15 Dec 2010 11:40:03 CET
Last Seen                     Wed 15 Dec 2010 11:40:03 CET
Local ID                      4ec78b71-a898-4d73-b0bd-afd8bfeeccf0
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1292409603.968:71913): avc:  denied  { write } for  pid=5675 comm="munin_stats" name="plugin-state" dev=dm-0 ino=1330780 scontext=unconfined_u:system_r:munin_t:s0 tcontext=system_u:object_r:munin_plugin_state_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1292409603.968:71913): avc:  denied  { add_name } for  pid=5675 comm="munin_stats" name="munin_stats-127.0.0.1" scontext=unconfined_u:system_r:munin_t:s0 tcontext=system_u:object_r:munin_plugin_state_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1292409603.968:71913): avc:  denied  { create } for  pid=5675 comm="munin_stats" name="munin_stats-127.0.0.1" scontext=unconfined_u:system_r:munin_t:s0 tcontext=unconfined_u:object_r:munin_plugin_state_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1292409603.968:71913): avc:  denied  { write } for  pid=5675 comm="munin_stats" name="munin_stats-127.0.0.1" dev=dm-0 ino=1331249 scontext=unconfined_u:system_r:munin_t:s0 tcontext=unconfined_u:object_r:munin_plugin_state_t:s0 tclass=file



Hash String generated from  catchall,munin_stats,munin_t,munin_plugin_state_t,dir,write
audit2allow suggests:

#============= munin_t ==============
#!!!! The source type 'munin_t' can write to a 'dir' of the following types:
# httpd_munin_content_t, tmp_t, munin_tmp_t, munin_log_t, var_run_t, var_log_t, munin_var_lib_t, munin_var_run_t, root_t

allow munin_t munin_plugin_state_t:dir { write add_name };
allow munin_t munin_plugin_state_t:file { write create };

Comment 1 Miroslav Grepl 2010-12-15 12:41:11 UTC
Could you execute

# chcon -t system_munin_plugin_exec_t /usr/share/munin/plugins/munin_*


Should fix it.


Fixed in selinux-policy-3.9.7-17.fc14

Comment 2 Fedora Update System 2010-12-16 15:54:12 UTC
selinux-policy-3.9.7-18.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.7-18.fc14

Comment 3 Fedora Update System 2010-12-17 08:36:22 UTC
selinux-policy-3.9.7-18.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/selinux-policy-3.9.7-18.fc14

Comment 4 Fedora Update System 2010-12-21 23:58:17 UTC
selinux-policy-3.9.7-18.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.